#ifndef XGFXCULLGROUP_H
#define XGFXCULLGROUP_H

#include "xasset.h"

#include <QVector3D>

class XGfxCullGroup : public XAsset
{
public:
    XGfxCullGroup();
    ~XGfxCullGroup();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mMins;
    QVector3D mMaxs;
    int mSurfaceCount;
    int mStartSurfIndex;
};

#endif // XGFXCULLGROUP_H
